Subject: bug#48242: closed (Re: [bug#48242] [PATCH] gnu: oath-toolkit: Build libpskc and pskctool.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 06 May 2021 07:51:02 +0000

Your bug report

#48242: [PATCH] gnu: oath-toolkit: Build libpskc and pskctool.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48242: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48242
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#48242] [PATCH] gnu: oath-toolkit: Build libpskc and pskctool.
From: Tobias Geerinckx-Rice <[email-masked]>
To: Simon Josefsson <[email-masked]>
Cc: [email-masked]
Date: Thu, 06 May 2021 09:50:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Simon,

Simon Josefsson via Guix-patches via 写道：
> Subject: [PATCH] gnu: oath-toolkit: Build libpskc and pskctool.

Thanks!  Pushed as 37fd82177ef33f2d3331f14055c6302001cd7c04 with 
minor changes.

> * gnu/packages/authentication.scm (oath-toolkit): Use 
> xmlsec-openssl to enable
> libpskc and pskctool.

Expanded to list all changes in our GNU ‘change log’ format.

> +  #:use-module (gnu packages xml)
> +  #:use-module (gnu packages tls)

Placed these and the new *inputs alphabetically.

> +             "--enable-pskc"
> +	     "--with-xmlsec-crypto-engine=openssl")

The second line used a tab for indentation.  Replaced by spaces.

> +Supported technologies include the event-based $dfn{HOTP} 
> algorithm (RFC4226),
> +the time-based @dfn{TOTP} algorithm (RFC6238), and Portable 
> Symmetric Key
> +Container (@dfn{PSKC}, RFC6030) to manage secret key data.")

Modified to use @acronym.

Kind regards,

T G-R

Subject: [PATCH] gnu: oath-toolkit: Build libpskc and pskctool.
From: Simon Josefsson <[email-masked]>
To: [email-masked]
Date: Wed, 05 May 2021 20:00:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!  This patch enables libpskc and pskctool in OATH Toolkit, using the
newly added xmlsec-openssl (thanks!).

/Simon
From 2a41fd3df92acf84e9377fbe02a18b8cacf12dec Mon Sep 17 00:00:00 2001
From: Simon Josefsson <[email-masked]>
Date: Wed, 5 May 2021 19:56:17 +0200
Subject: [PATCH] gnu: oath-toolkit: Build libpskc and pskctool.

* gnu/packages/authentication.scm (oath-toolkit): Use xmlsec-openssl to enable
libpskc and pskctool.
---
 gnu/packages/authentication.scm | 28 ++++++++++++++++++----------
 1 file changed, 18 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/authentication.scm b/gnu/packages/authentication.scm
index c7b58b3e61..d0fef39cb2 100644
--- a/gnu/packages/authentication.scm
+++ b/gnu/packages/authentication.scm
@@ -23,6 +23,8 @@
   #:use-module (gnu packages documentation)
   #:use-module (gnu packages linux)
   #:use-module (gnu packages pkg-config)
+  #:use-module (gnu packages xml)
+  #:use-module (gnu packages tls)
   #:use-module (gnu packages security-token)
   #:use-module (guix build-system gnu)
   #:use-module (guix download)
@@ -45,7 +47,9 @@
     (arguments
      ;; TODO ‘--enable-pskc’ causes xmlsec-related test suite failures.
      `(#:configure-flags
-       (list "--enable-pam")
+       (list "--enable-pam"
+             "--enable-pskc"
+	     "--with-xmlsec-crypto-engine=openssl")
        #:phases
        (modify-phases %standard-phases
          (add-after 'install 'delete-static-libraries
@@ -55,16 +59,15 @@
                (for-each delete-file (find-files lib "\\.a$"))
                #t))))))
     (native-inputs
-     `(("pkg-config" ,pkg-config)))
+     `(("pkg-config" ,pkg-config)
+       ;; XXX: Perhaps this should be propagated from xmlsec.
+       ("libltdl" ,libltdl)))
     (inputs
-     `(("linux-pam" ,linux-pam)))       ; for --enable-pam
+     `(("xmlsec-openssl" ,xmlsec-openssl)
+       ("openssl" ,openssl)
+       ("linux-pam" ,linux-pam)))       ; for --enable-pam
     (home-page "https://www.nongnu.org/oath-toolkit/")
     (synopsis "One-time password (OTP) components")
-    ;; TODO Add the following items after they've been enabled.
-    ;; @item @command{pskctool}, a command-line tool for manipulating secret key
-    ;; files in the Portable Symmetric Key Container (@dfn{PSKC}) format
-    ;; described in RFC6030.
-    ;; @item @code{libpskc}, a shared and static C library for PSKC handling.
     (description
      "The @dfn{OATH} (Open AuTHentication) Toolkit provides various components
 for building one-time password (@dfn{OTP}) authentication systems:
@@ -72,11 +75,16 @@ for building one-time password (@dfn{OTP}) authentication systems:
 @itemize
 @item @command{oathtool}, a command-line tool for generating & validating OTPs.
 @item @code{liboath}, a C library for OATH handling.
+@item @command{pskctool}, a command-line tool for manipulating secret key
+files in the Portable Symmetric Key Container (@dfn{PSKC}) format
+described in RFC6030.
+@item @code{libpskc}, a shared and static C library for PSKC handling.
 @item @code{pam_oath}, a PAM module for pluggable login authentication.
 @end itemize
 
-Supported technologies include the event-based @dfn{HOTP} algorithm (RFC4226)
-and the time-based @dfn{TOTP} algorithm (RFC6238).")
+Supported technologies include the event-based $dfn{HOTP} algorithm (RFC4226),
+the time-based @dfn{TOTP} algorithm (RFC6238), and Portable Symmetric Key
+Container (@dfn{PSKC}, RFC6030) to manage secret key data.")
     (license (list license:lgpl2.1+     ; the libraries (liboath/ & libpskc/)
                    license:gpl3+))))    ; the tools (everything else)
 
-- 
2.20.1